
#include "BacStatusFlags.h"

BacStatusFlags::BacStatusFlags(QWidget *parent, int db_id, int PropId, QString label, QGridLayout *layout, int row, int col)
  : BitString(parent, db_id, PropId, label, layout, row, col) {
  addChecks();
}

BacStatusFlags::BacStatusFlags(QWidget *parent, int db_id, int PropId, int value, QString label, QGridLayout *layout, int row, int col)
  : BitString(parent, db_id, PropId, value, label, layout, row, col) {
  addChecks();
}

void BacStatusFlags::addChecks() {
  height = 4;

  addCheck(tr("In Alarm"), 0);
  addCheck(tr("Fault"), 1);
  addCheck(tr("Overridden"), 2);
  addCheck(tr("Out of Service"), 3);
}

